Bug 402351 - mail spool entries created for uid < 500
mail spool entries created for uid < 500
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 03:21 EST by Yves Perrenoud
Modified: 2007-12-03 06:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 10:28:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yves Perrenoud 2007-11-28 03:21:46 EST
Description of problem:

As of Fedora 7, useradd has started creating mail spool entries for UIDs < 500.
This doesn't seem to make much sense other than cluttering /var/spool/mail.
Obviously those accounts aren't going to receive mail, and in fact most of them
are already redirected to root in /etc/aliases.

Am I missing some element of logic that explains why after over a decade of not
creating entries for UIDs < 500, shadow-utils in F7 started doing it?

Is this a change of behaviour that comes from upstream?

Version-Release number of selected component (if applicable):

shadow-utils-4.0.18.1-18.fc8
Comment 1 Peter Vrabec 2007-11-29 10:28:18 EST
It should be fixed in shadow-utils-4.0.18.1-20.fc8, which I built today. 
Package will be available in updates/testing.

Comment 2 Fedora Update System 2007-12-03 06:42:09 EST
shadow-utils-4.0.18.1-20.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shadow-utils'

Note You need to log in before you can comment on or make changes to this bug.